package com.koobietech.eas.controller;


import com.koobietech.eas.common.result.JsonResult;
import com.koobietech.eas.dao.Pojo.AdminPojo;
import com.koobietech.eas.dao.dto.LoginToken;
import com.koobietech.eas.service.AdminLoginService;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class AdminLoginController {
    @Resource
    private AdminLoginService adminLoginService;

    @RequestMapping("/adminLogin")
    public JsonResult adminLogin(@RequestBody AdminPojo adminPojo){

        LoginToken result = adminLoginService.adminLogin(adminPojo);

        return JsonResult.data(result);
    }


}
