package com.koobietech.eas.service;

import com.koobietech.eas.common.pojo.JwtUserDto;
import com.koobietech.eas.dao.adminLoginPojo.UserDetail;


public interface LoginRedisService {
    UserDetail checkToken(JwtUserDto jwtUserDto);

    UserDetail checkRefreshToken(JwtUserDto jwtUserDto);

    void loginSaveCache(String redisTokenKey, UserDetail userDetailInRedis, Integer token_expires);

    String createJwtTokenKey(JwtUserDto jwtUserDto);

    String createJwtRefreshTokenKey(JwtUserDto jwtUserDto);
}
